# Vote | Antville 1.4 API Reference

Documentation generator: JsDoc Toolkit 2.4.0
Template: Codeview 1.2
Generated on: 2012-4-22 10:17

# Class Vote

- Defined in: Vote.js
- Extends HopObject

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| Vote()

Field Summary
Field Attributes | Field Name and Description
--- | ---
| choice
| created
| creator
| creator_name
| modified
| poll

## Method Summary

Method Attributes | Method Name and Description
--- | ---
<static> | Vote.add(choice, poll)

Methods borrowed from class HopObject:
  addTag
  checkbox_macro
  created_macro
  creator_macro
  deleteMetadata
  getFormOptions
  getFormValue
  getMetadata
  getPermission
  getTags
  getTitle
  handleMetadata
  input_macro
  kind_macro
  link_filter
  link_macro
  log
  macro_macro
  map
  metadata_macro
  modified_macro
  modifier_macro
  notify
  onCodeUpdate
  onRequest
  radiobutton_macro
  removeTag
  select_macro
  self_macro
  setMetadata
  setTags
  skin_macro
  textarea_macro
  toString
  touch
  type_macro
  upload_macro

## Class Detail

Vote()

## Field Detail

{Choice} choice
{Date} created
{User} creator
{String} creator_name
{Date} modified
{Poll} poll

## Method Detail

- <static> {Vote} Vote.add(choice, poll)
  Parameters:
  {Choice} choice
  poll
  Returns:
    {Vote}